org.apache.poi.hssf.record

## Class OldStringRecord

- java.lang.Object
- - org.apache.poi.hssf.record.OldStringRecord

-     public final class OldStringRecord
      extends java.lang.Object

  Biff2 - Biff 4 Label Record (0x0007 / 0x0207) - read only support for formula string results.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `biff2_sid`
    `static short` | `biff345_sid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OldStringRecord(RecordInputStream in)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `short` | `getSid()`
    `java.lang.String` | `getString()`
    `protected static java.lang.String` | `getString(byte[] data, CodepageRecord codepage)`
    `boolean` | `isBiff2()`
    `void` | `setCodePage(CodepageRecord codepage)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### biff2_sid

          public static final short biff2_sid

      See Also:
        Constant Field Values

    - #### biff345_sid

          public static final short biff345_sid

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OldStringRecord

          public OldStringRecord(RecordInputStream in)

      Parameters:
        `in` - the RecordInputstream to read the record from

  - ### Method Detail

    - #### isBiff2

          public boolean isBiff2()

    - #### getSid

          public short getSid()

    - #### setCodePage

          public void setCodePage(CodepageRecord codepage)

    - #### getString

          public java.lang.String getString()

      Returns:
        The string represented by this record.

    - #### getString

          protected static java.lang.String getString(byte[] data,
                                                      CodepageRecord codepage)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.